Will Not Be Installed Because It Does Not Provide Secure Updates

All of the extensions I install from the official Mozilla website will work perfectly but when I try to install an extension from another website like for example a development release of Tab Mix Plus, I get this message:

"Tab Mix Plus” will not be installed because it does not provide secure updates

How can I prevent this from happening?

asked by Brilliant in Software | 3568 views | 07-20-2009 at 04:09 PM

Here's what you have to do to avoid this error message:

1 In Firefox's Address Bar type “about:config” and press Enter.
2 Right-Click and select New->Boolean.
3 A box requesting the Preference Name will popup and you should enter “extensions.checkUpdateSecurity” (without the quotes). Press OK to continue.
4 Select “False” from the box and press OK again.

Once you do that you'll be able to install your extensions with no problems.
Keep in mind that disabling this feature is a security risk though, so only install extensions you trust.

answered by Albert | 07-20-2009 at 04:11 PM

comment
Thread Tools
Similar Threads for: Will Not Be Installed Because It Does Not Provide Secure Updates
vBulletin® Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.